﻿<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <TargetFramework>net5.0</TargetFramework>
    <ApplicationIcon>keypad.ico</ApplicationIcon>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DocumentationFile>SIPServerService.xml</DocumentationFile>
    <PlatformTarget>AnyCPU</PlatformTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>SIPServerService.xml</DocumentationFile>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="logs\**" />
    <Compile Remove="wwwroot\**" />
    <Content Remove="logs\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="logs\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="logs\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="run\gui\test.js" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="IdentityServer4.AccessTokenValidation" Version="3.0.1" />
    <PackageReference Include="Microsoft.AspNetCore" Version="2.2.0" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="5.0.4" />
    <PackageReference Include="Microsoft.AspNetCore.SpaServices" Version="3.1.13" />
    <PackageReference Include="Microsoft.AspNetCore.SpaServices.Extensions" Version="5.0.4" />
    <PackageReference Include="Microsoft.ClearScript.V8" Version="7.1.1" />
    <PackageReference Include="Microsoft.ClearScript.V8.Native.linux-x64" Version="7.1.1" />
    <PackageReference Include="Microsoft.ClearScript.V8.Native.win-x64" Version="7.1.1" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.FileExtensions" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.Configuration.Json" Version="5.0.0" />
    <PackageReference Include="Microsoft.Extensions.PlatformAbstractions" Version="1.1.0" />
    <PackageReference Include="MinVer" Version="2.5.0">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="RestSharp" Version="106.11.7" />
    <PackageReference Include="RestSharp.Serializers.SystemTextJson" Version="106.11.7" />
    <PackageReference Include="Serilog" Version="2.10.0" />
    <PackageReference Include="Serilog.Extensions.Logging" Version="3.0.1" />
    <PackageReference Include="Serilog.Filters.Expressions" Version="2.1.0" />
    <PackageReference Include="Serilog.Settings.Configuration" Version="3.1.0" />
    <PackageReference Include="Serilog.Sinks.Console" Version="3.1.1" />
    <PackageReference Include="Serilog.Sinks.File" Version="4.1.0" />
    <PackageReference Include="Serilog.Sinks.RollingFile" Version="3.3.0" />
    <PackageReference Include="Serilog.Sinks.RollingFileSizeLimit" Version="1.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.1.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Annotations" Version="6.1.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Filters" Version="6.1.0" />
    <PackageReference Include="System.Text.RegularExpressions" Version="4.3.1" />
    <PackageReference Include="Topshelf" Version="4.3.0" />
    <ProjectReference Include="..\SIPServer\SIPServer.csproj" />
    <ProjectReference Include="..\SIPSorcery\src\SIPSorcery.csproj" />
	<None Update="appsettings.json">
		<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	</None>
  </ItemGroup>

</Project>
